dependencies – Setting up Microsoft Exchange email on Ubuntu 20.04 LTS

I am a new Ubuntu user and was looking for a way to setup my university email account (Microsoft Exchange) on my Ubuntu 20.04 LTS. During my preliminary search I found out that Evolution mail client can do the job for free (found a lot of tutorials for setting it up on previous versions of Ubuntu) but unfortunately, couldn’t find an article/blog to make it work my system (20.04 LTS). I am facing dependency issues while installing it (refer to the image) and when I try to install the dependency packages, it shows the same error i.e.

E: Unable to correct problems, you have held broken packages.

(I can share the whole error message logs if required )

Apologies if this is a trivial question, but I could not find a straightforward solution on the internet hence request the community for suggestions.

Error message screenshot